/* Last update: Loren J. Rittle  Tue Jan 28 23:26:02 1992 */

#define LS_INCLUDE

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <signal.h>
#include <fctype.h>
#include <dos.h>
#include <dos/dosextens.h>
#include <dos/datetime.h>
#include <proto/exec.h>
#include <proto/dos.h>
#include <dos/var.h>

/* Structure used to hold file info in a linked list */
struct FibEntry
{
  struct MinNode fe_Node;
  struct FileInfoBlock fe_Fib;
};

/* Structure used to hold AntiPattern info in a linked list */
struct AnAntiPattern
{
  struct AnAntiPattern *next;
  BYTE *parsedpattern;
  BYTE *pattern;
};

/* Structure used to hold type and protection highlight info in an array */
struct highlight
{
  BYTE *on;
  BYTE *off;
  int printable_len;
};

BOOL ParsePatternNoCase( UBYTE *pat, UBYTE *buf, long buflen );
BOOL MatchPatternNoCase( UBYTE *pat, UBYTE *str );
#pragma libcall DOSBase ParsePatternNoCase 3c6 32103
#pragma libcall DOSBase MatchPatternNoCase 3cc 2102
